<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and Forms</title>
</head>
<body>

	<!-- Semantic tags for code readability -->
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>
		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved characters in HTML (eg. &lt; or &gt;) characters that can mix up with HTML code.</em></p>

			<!-- Defines and HTML table -->
			<table border="1">
				<!-- Used to group table header content -->
				<thead>
					<!-- Defines a table row -->
					<tr>
						<!-- Defines a table header element -->
						<!-- Defines the amount of columns the table element will occupy -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>
				<!-- Used to group table body content -->
				<tbody>
					<tr>
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation mark(apostrophe)</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
					</tr>
					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>Upper Tilde</td>
					</tr>
				</tbody>
				<!-- Used to group table footer content -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML entities</th>
					</tr>
				</tfoot>
			</table>
		</section>

		<section>
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up a form</em></p>

			<!-- Creates an HTML form to capture user input -->
			<form action="https://google.com">
				<!-- Creates a label and allows for input field selection when clicked -->
				<label for="full_name">Full Name:</label><br>
				<input type="text" name="full_name" id="full_name" required autocomplete><br>

				<label for="birth_date">Birth Date:</label><br>
				<input type="date" name="birth_date" id="birth_date" required><br>

				<label for="age">Age:</label><br>
				<input type="number" name="age" id="age" required><br>

				<label for="gender">Gender:</label><br>
				<!-- Creates a dropdown menu -->
				<select name="gender" id="gender">
					<!-- Creates an option for the dropdown -->
					<option value="Male">Male</option>
					<option value="Female">Female</option>
				</select><br>

				<label for="notes">Notes:</label><br>
				<!-- Creates a larger text input -->
				<textarea name="notes" rows="5" id="notes"></textarea><br>

				<!-- Radio Buttons -->
				<label>New User:</label><br>

				<!-- name attribute should be the same for related radio buttons -->
				<input type="radio" name="new_user" id="user-type-1" value="yes">
				<label for="user-type-1">Yes</label><br>

				<!-- name attribute should be the same for related radio buttons -->
				<input type="radio" name="new_user" id="user-type-2" value="no">
				<label for="user-type-2">No</label>

				<br><br>

				<!-- Checkboxes -->
				<label>Role:</label><br>
				<!-- Creates checkboxes for multiple choices -->
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label>

				<input type="checkbox" name="role2" id="role1" value="student">
				<label for="role2">Student</label>

				<input type="checkbox" name="role3" id="role3" value="manager">
				<label for="role3">Manager</label>

				<br><br>

				<!-- Creates a button that will submit the form data -->
				<button type="submit">Submit</button><br>

				<!-- Creates a button to reset the form data -->
				<button type="reset">Reset</button><br>
			</form>
		</section>
	</main>
</body>
</html>